summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCzarek Nakamoto <cyjan@mrcyjanek.net>2025-01-05 18:23:05 +0100
committerCzarek Nakamoto <cyjan@mrcyjanek.net>2025-01-05 18:23:05 +0100
commit070183c6561c0d4dc309be5528e7b8f769f45f9e (patch)
tree0c27e6d6c943a64bee5b355c555452c544536402
parent85249efea8f667855fb260321c68241d6a76b2a6 (diff)
ci: zano fixes
-rw-r--r--.github/workflows/full_check.yaml8
-rwxr-xr-xapply_patches.sh7
2 files changed, 8 insertions, 7 deletions
diff --git a/.github/workflows/full_check.yaml b/.github/workflows/full_check.yaml
index 20dcbc5..5050a1d 100644
--- a/.github/workflows/full_check.yaml
+++ b/.github/workflows/full_check.yaml
@@ -197,7 +197,7 @@ jobs:
matrix:
coin: [monero, wownero, zano]
name: macos build
- runs-on: macos-14
+ runs-on: macos-15
steps:
- name: Checkout monero_c repo
uses: actions/checkout@v4
@@ -271,7 +271,7 @@ jobs:
xcode-version: '16.1'
- name: install dependencies
run: |
- brew install ccache cmake autoconf automake libtool
+ brew install ccache cmake autoconf automake libtool git
- name: Patch sources
run: |
git config --global --add safe.directory '*'
@@ -456,7 +456,7 @@ jobs:
needs: [
lib_macos
]
- runs-on: macos-14
+ runs-on: macos-15
steps:
- uses: denoland/setup-deno@v2
with:
@@ -515,7 +515,7 @@ jobs:
needs: [
lib_macos
]
- runs-on: macos-14
+ runs-on: macos-15
steps:
- uses: denoland/setup-deno@v2
with:
diff --git a/apply_patches.sh b/apply_patches.sh
index 8013c9d..08c1818 100755
--- a/apply_patches.sh
+++ b/apply_patches.sh
@@ -6,14 +6,15 @@ repo="$1"
if [[ "x$repo" == "x" ]];
then
- echo "Usage: $0 monero/wownero"
+ echo "Usage: $0 monero/wownero/zano"
exit 1
fi
-if [[ "x$repo" != "xwownero" && "x$repo" != "xmonero" ]];
+if [[ "x$repo" != "xwownero" && "x$repo" != "xmonero" && "x$repo" != "xzano" ]];
then
- echo "Usage: $0 monero/wownero"
+ echo "Usage: $0 monero/wownero/zano"
echo "Invalid target given, only monero and wownero are supported targets"
+ exit 1
fi
if [[ ! -d "$repo" ]]